Subject: bug#1806: dired-pop-to-buffer in wrong place

From: martin rudalics <[email-masked]>
Date: Sat, 22 Sep 2012 15:24:51 +0200

> After 2008-12-11 change to window.el and dired.el that fixed the bug #1488,
 > I have difficulties using dired.
 >
 > Before this change, running a dired operation on many files displayed
 > a pop-up window *below* the dired buffer and immediately *above* the
 > minibuffer.  This is the most convenient place to display a list of
 > file names, because it is near the minibuffer where the user types more
 > input for the command (a shell command or a directory to copy files to).

This should now work again as before.  If the dired buffer is not
immediately *above* the minibuffer, the file names are shown below the
dired buffer.  I also introduced a new default value for
`window-combination-limit' which should assure that fitting the window
to the buffer does not steal space from any window below.

 > I've just looked at the old behavior from the December CVS state,
 > and noticed that it behaved more conveniently than we are currently
 > discussing.  It displayed a list of files immediately above the
 > minibuffer.  This is convenient because when the minibuffer says:
 >
 >   ! on * [5 files]:
 >
 > then a list of these 5 files is very near above, so there is no need
 > to search for this list elsewhere on the current frame.  Maybe we
 > should have a special function to display a buffer above the minibuffer
 > (e.g. `pop-to-buffer-above-minibuffer')?

The action function `display-buffer-at-bottom' should do that so people
who prefer this are able to do the necessary customizations.

If there's anything missing please tell me.

Thanks, martin